#pragma once

struct Serial_t {
	int port;
};
typedef struct Serial_t Serial;
	
void serial_init( int32_t baudrate, Serial *port );
	
int serial_putonechar( char c, Serial *port );
	
int serial_readonechar( Serial *port );
	
int serial_available( Serial *port );

int serial_available_f( FILE *f );
